#!/usr/bin/haserl
Content-Type: text/html

<html>
    <% . ./langdefs.sh %>
    <body>
        <h2><% eval_gettext "digitalSTROM Registration" %></h2>
        <p><% eval_gettext "Register your digitalSTROM server to receive information about updates and new functionality directly from us." %> </p>
        <p>
            <form action="https://www.digitalstrom.com/index.php"
                method="GET" target="_blank">
                <p>
                <input name="cl" type="hidden" value="register"/>
                <%
                    echo -n "<input name=\"mac\" type=\"hidden\" value=\""
                    /sbin/ifconfig -a eth0 | grep 'HWaddr' | awk '{ print $5 }' | tr ':' '-' | tr -d '\n'
                    echo    "\"/>"
                    echo -n "<input name=\"lang\" type=\"hidden\" value=\""
                    DSS11_LOCALE=
                    . /etc/default/locale > /dev/null 2>&1
                    if [[ -z $DSS11_LOCALE ]]; then
                        DSS11_LOCALE="de_DE"
                    fi
                    echo -n $DSS11_LOCALE | cut -d '_' -f 1 | tr -d '\n'
                    echo    "\"/>"

                    echo -n "<input type=\"submit\" value=\""
                    eval_gettext "Registration"
                    echo    "\"/>"
                %>
                </p>
            </form>
        </p>
    </body>
</html>
